import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks';
import { PropsTable } from '@storybook/components';
import { AllCommunities } from '.';
import {Box} from 'rebass'
import {Header} from 'ui/modules/Header'
import {Community} from 'ui/modules/Previews/Community';
import { useFormik } from 'formik';
import {getLoadMoreProps} from 'ui/mock/loadmore'
import {CommunityPreviewProps} from 'ui/mock/previews'

import {WithSidebar} from 'ui/templates/withSidebar'
import {MainHeader} from 'ui/modules/MainHeader'
import {Sidebar} from 'ui/modules/Sidebar'
import {getSidebarProps} from 'ui/mock/sidebar'
import {getMainHeaderProps} from 'ui/mock/mainHeader'
const Head = () => <MainHeader {...getMainHeaderProps() } />

<Meta title="Pages|AllCommunities" component={AllCommunities}/>


# AllCommunities
Let's define a story for the `AllCommunities` page

<Preview>
  <Story name="AllCommunities page">
    <WithSidebar 
      HeaderBox={Head}
      SidebarBox={<Sidebar {...getSidebarProps()}/>}>
        <AllCommunities 
        Header={(<Header name="All Communities" />)}
        CommunitiesBoxes={[
            (<Community {...CommunityPreviewProps()} />),
            (<Community {...CommunityPreviewProps()} />),
            (<Community {...CommunityPreviewProps()} />),
            (<Community {...CommunityPreviewProps()} />),
            (<Community {...CommunityPreviewProps()} />),
            (<Community {...CommunityPreviewProps()} />),
            (<Community {...CommunityPreviewProps()} />)
        ]}
        {...getLoadMoreProps()}
        basePath="/"
        />
    </WithSidebar>
  </Story>
</Preview>


